<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.ez.ertc.meeting">

    <uses-permission android:name="android.permission.REORDER_TASKS" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />

    <application>
        <activity android:name=".ui.DebugParamTestActivity"></activity>
        <activity android:name=".ui.BeautyConfigActivity" />
        <activity
            android:name=".ui.ErtcRoomActivity"
            android:configChanges="orientation|keyboardHidden|screenSize|screenLayout|screenSize|smallestScreenSize"
            android:launchMode="singleTask"
            android:screenOrientation="user"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".ui.JoinMeetingActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateVisible" />
        <activity
            android:name=".ui.ErtcTestingActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.TestConfigActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.MeetingSetsActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:screenOrientation="user" />

        <service android:name=".service.FloatingButtonService" />
        <service android:name=".service.ErtcPictureInPictureService" />
        <service
            android:name=".service.ErtcVideoMeetingService"
            android:enabled="true"
            android:foregroundServiceType="mediaProjection" />

        <activity
            android:name=".ui.AirActivity"
            android:theme="@android:style/Theme.Translucent.NoTitleBar.Fullscreen" />
    </application>

</manifest>